karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (JIRA) <j...@apache.org>
Subject [jira] [Updated] (KARAF-2830) Karaf scripts java version check should be more "flexible"
Date Tue, 08 Apr 2014 15:14:14 GMT

     [ https://issues.apache.org/jira/browse/KARAF-2830?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jean-Baptiste Onofré updated KARAF-2830:
----------------------------------------

    Fix Version/s:     (was: 3.0.1)
                   3.0.2

> Karaf scripts java version check should be more "flexible"
> ----------------------------------------------------------
>
>                 Key: KARAF-2830
>                 URL: https://issues.apache.org/jira/browse/KARAF-2830
>             Project: Karaf
>          Issue Type: Bug
>          Components: karaf-core
>         Environment: Java8
>            Reporter: Jean-Baptiste Onofré
>            Assignee: Jean-Baptiste Onofré
>             Fix For: 2.4.0, 4.0.0, 3.0.2
>
>
> If the java -version output returns something different from x.x.x (like 1.7.0, which
is the case with Java8), the Karaf script fails with:
> {code}
> ./karaf: line 242: [: : integer expression expected
> {code}



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message